#!/usr/bin/python3
import sys
import acviz
from matplotlib import pyplot as plt

# Generate plot of Fig. 1 (upper) and save in pdf
acviz.getPlot(iracelog = './fig1u-acotsp-instances.Rdata', bkv = './bkv.txt', showPlot = False)
plt.savefig('./fig1u-acotsp-instances.pdf', format = 'pdf')
plt.clf()

# Generate plot of Fig. 1 (lower) and save in pdf
acviz.getPlot(iracelog = './fig1l-spear-instances.Rdata', typeResult = 'aval', logScale = False, timeLimit = 10, overTime = True, showPlot = False)
plt.savefig('./fig1l-spear-instances.pdf', format = 'pdf')
plt.clf()

# Generate plot of Fig. 2 (upper) and save in pdf
acviz.getPlot(iracelog = './fig2u-acotsp-budget.Rdata', bkv = './bkv.txt', alpha = 0.6, showPlot = False)
plt.savefig('./fig2u-acotsp-budget.pdf', format = 'pdf')
plt.clf()

# Generate plot of Fig. 2 (lower) and save in pdf
acviz.getPlot(iracelog = './fig2l-spear-budget.Rdata', alpha = 0.6, typeResult = 'aval', logScale = False, timeLimit = 10, overTime = True, showPlot = False)
plt.savefig('./fig2l-spear-budget.pdf', format = 'pdf')
plt.clf()

# Generate plot of Fig. 3 and save in pdf
acviz.getPlot(iracelog = './fig3-acotsp-overtuning.Rdata', bkv = './bkv.txt', testing = True, typeResult = 'rdev', showPlot = False)
plt.savefig('./fig3-acotsp-overtuning.pdf', format = 'pdf')
plt.clf()
